# Chinchilla Minimap

## [v2.12.1](https://github.com/Ravendwyr/Chinchilla/tree/v2.12.1) (2021-06-11)
[Full Changelog](https://github.com/Ravendwyr/Chinchilla/commits/v2.12.1) [Previous Releases](https://github.com/Ravendwyr/Chinchilla/releases)

- Update libraries.  
- Update issue config.  
- Expander: Fixed an error on non-Retail servers.  
    Also trims trailing whitespace.  
- Expander: Fixed leaked global.  
- Ping: Fixed chat output.  
- Ping: Tweaked spam prevention code.  
    Closes #80  
- Add packager support for Wago Addons.  
- Begin adding support for Burning Crusade Classic.  
- Bump Interface number to 90005.  
- Updated blip maps for Patch 9.0.5.  
- Updated issue templates.  
- Removed unused library.  
- Use a different method to determine if we're indoors or not.  
    Progress towards #61. No side-effects detected yet, but at least we're no longer launching ourselves into an exponentially increasing infinite loop.  
- Location: Fixed a leaked global variable.  
- Hide Location and instance difficulty when expanded  
    https://github.com/Ravendwyr/Chinchilla/issues/60  
    Item #2.  
- Scale Instance Difficulty with Minimap  
- Don't include README or CHANGELOG in the package.  
- Set theme jekyll-theme-slate  
- Update README.md  
- Migrate from Travis CI to GitHub Actions.  
- Update README.md  
- Bump Classic Interface to 11306.  
- Update .travis.yml  
- Fix position module for vehicle seats  
- Move this to MoveButtons  
    And ... GARRISON\_SHOW\_LANDING\_PAGE looks to be the winner (or loser?).  
- Revert ""Fix" garrison location"  
- Revert "Fix buttons on area change"  
- Fix buttons on area change  
    Blizz is moving garrison back on some instance/area changes.... keep it where we want it.  
- "Fix" garrison location  
    https://github.com/Ravendwyr/Chinchilla/issues/53  
    This is a really ugly, really quick and dirty "fix" (ok workaround) for what Blizzard is doing.  Basically wait until Blizzard moves it and move it back.  
- Update Expander.lua  
    https://github.com/Ravendwyr/Chinchilla/issues/46  
    This was an ask, and I was already looking at Expander.  Basically Instead of disabling all mouse interaction with expanded minimap, just disable click events.  
    I have not noticed any side effects...  
- Update Expander  
    1. Fix Expander opacity.  For some reason setting minimap alpha is not adjusting opacity when expanded.   Set parent of Minimap opacity.  
    2. Provide option to Expander to hide when player is in combat (REGEN\_DISABLED)  
- Yay! Patch!  
    Updated sprite sheets to work with changes.  
- Recreate .gitignore  
- Remove hard-embeded SharedMediaWidgets.  
    The library has been fixed recently and this is no longer necessary.  
- last sprites  
- More sprite sheets  
- Update gitignore - include necessary updates to LibSharedMedia-3.0  
- gitignore  
- Nandini Tracking Dots  
- Minimal changes necessary for addon to LOAD  
    * Artwork all needs modification  
- TrackingDots: More fixes for the blip maps.  
- Core: Bump Interface number to 80300.  
- TrackingDots: Updated for Patch 8.3.  
- Update README.md  
- Tabs to spaces.  
    I'm an idiot and I need to learn how to read wiki pages.  
- Fixed LibStub path.  
- Don't package the config.yml file.  
- Disable licence output.  
- Update pkgmeta URLs.  
- Add Travis-CI packaging support  
